package fr.monkhanny.dorfromantik.listeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import fr.monkhanny.dorfromantik.gui.GameModeSelectionPanel;

public class GameModeFilterButtonActionListener implements ActionListener {
    private GameModeSelectionPanel panel;

    public GameModeFilterButtonActionListener(GameModeSelectionPanel panel) {
        this.panel = panel;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        panel.setCurrentPage(1); // Reset to first page when filtering
        panel.loadSeriesForCurrentPage();
    }
}
